Re: download issue, Yum

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: download issue, Yum

os24u
** Reply to note from [hidden email] Mon, 23 Sep 2019 12:00:02 +0000
>  
> >> Ok, so She first opens the RPM_REQUIREMENTS in the e.exe editor, selects
> >> all and paste it to the clipboard and paste it when ANPM asks for the
> >> libraries. But how do She point ANPM where FF45 lives? Currently it sits
> >> in y:\firefox\firefox which contains the abovmentioned RPM_REQUIREMENTS,
> >> but the FF code itself is currently unzipped so where the unzipped file
> >> go? M:\tools\ANPM\temp perhaps, and how do She tell ANPM where the code
> >> sits?

 All the extra libraries do not go in \firefox directory as they could be used by many apps. Usually go in usr\lib but could
go in any directory specified in libpath.

> >> Btw, in the README.OS2 file it's mentioned that a script, dbrestore,zip
> >> should be run BEFORE using FF45 so the profiles will be compatible with
> >> earlier versions of FF which will be good, escpecially if She wants to
> >> do a quick visit to for example wikipedia or www.fass.se to look up some
> >> drugs.

 Someone else mentioned above script was for earlier version than Firefox 4. So why do you need it?

> Then She skips FF45 but goes for the FF31 instead. Inside the README.OS2  it's recommended using RPM-YUM to install
> the various packages mentioned  in it, the full RPM-YUM She's having on Her system is
> rpm-yum-base-os2-i686-2017-06-10.exe and rpm-yum-bootstrap-1_3.wpi of  which the newest is the
> rpm-yum-base-os2-i686-2017-06-10.exe. Can She  install or must She get a newer version? Another problem witH
> FF10.0.2  and FF17.0.11ESR is that they don't manage to complete downloads: even  urlresume don't go to completion.
> So could She use NFTP/2 to go into  Netlabs to fetch the latest rpm-yum? But another guy gave Her the advice  to use
> the "famtree" site (if She remembers the name correctly) for  getting those RPM packages that FF31 requires? So what
> should She  choose?

 If every method does not complete downloads, then your system or connection has a problem. FF10 and urlresume
download multi-gb here, as does everything else. The odd time a server gets overloaded and connection is dropped.
If the rpm versions functioned when issued, they should still function today. Is there newer versions some place? If you
had extracted FF31, ran pmdll on exe and dll files, downloaded approprate zip files, you would have done in 2 hours.

 Either choose rpm or zip and get at it.

        Cal

 


_______________________________________________
dev-ports-os2 mailing list
[hidden email]
https://lists.mozilla.org/listinfo/dev-ports-os2
Reply | Threaded
Open this post in threaded view
|

Re: download issue, Yum

Christer Jacobsson
[hidden email] wrote:
> ** Reply to note from [hidden email] Mon, 23 Sep 2019 12:00:02 +0000
>>  

As Salaam Aleikum!

>>>> Ok, so She first opens the RPM_REQUIREMENTS in the e.exe editor, selects
>>>> all and paste it to the clipboard and paste it when ANPM asks for the
>>>> libraries. But how do She point ANPM where FF45 lives? Currently it sits
>>>> in y:\firefox\firefox which contains the abovmentioned RPM_REQUIREMENTS,
>>>> but the FF code itself is currently unzipped so where the unzipped file
>>>> go? M:\tools\ANPM\temp perhaps, and how do She tell ANPM where the code
>>>> sits?
>
>  All the extra libraries do not go in \firefox directory as they could be used by many apps. Usually go in usr\lib but could
> go in any directory specified in libpath.
>
>>>> Btw, in the README.OS2 file it's mentioned that a script, dbrestore,zip
>>>> should be run BEFORE using FF45 so the profiles will be compatible with
>>>> earlier versions of FF which will be good, escpecially if She wants to
>>>> do a quick visit to for example wikipedia or www.fass.se to look up some
>>>> drugs.
>
>  Someone else mentioned above script was for earlier version than Firefox 4. So why do you need it?
>

If She ever builds FF45 (on the new box) which have 4Gib RAM and a
2-core CPU (it's a Dell T220 w/SATA discs, 2x500Gib) and a SATA burner -
unfortunately it can't burn DVD-RAM, but She have a SATA DVD-RAM burner,
so She can buy a cheap SATA card (the installed SATA controller don't
have a backplane connection :-() with a backplane connection and hook up
the DVD burner to it, either as it is or in a suitable cabinet. Can come
in handy when burning DVD-RAM's with DVDDAO or just copy music CD
borrowed from the library - but that you didn't hear :-)

>> Then She skips FF45 but goes for the FF31 instead. Inside the README.OS2  it's recommended using RPM-YUM to install
>> the various packages mentioned  in it, the full RPM-YUM She's having on Her system is
>> rpm-yum-base-os2-i686-2017-06-10.exe and rpm-yum-bootstrap-1_3.wpi of  which the newest is the
>> rpm-yum-base-os2-i686-2017-06-10.exe. Can She  install or must She get a newer version? Another problem witH
>> FF10.0.2  and FF17.0.11ESR is that they don't manage to complete downloads: even  urlresume don't go to completion.
>> So could She use NFTP/2 to go into  Netlabs to fetch the latest rpm-yum? But another guy gave Her the advice  to use
>> the "famtree" site (if She remembers the name correctly) for  getting those RPM packages that FF31 requires? So what
>> should She  choose?
>
>  If every method does not complete downloads, then your system or connection has a problem. FF10 and urlresume
> download multi-gb here, as does everything else. The odd time a server gets overloaded and connection is dropped.
> If the rpm versions functioned when issued, they should still function today. Is there newer versions some place? If you
> had extracted FF31, ran pmdll on exe and dll files, downloaded approprate zip files, you would have done in 2 hours.
>

She have tried downloading with FF 10.0.12 and 17.0.1ESR but the problem
persists. But Nftp/2 does work against hobbes and probably on netlabs
too - THERE download works just fine. She also have PMDownloader and
THAT program downloads to completion, just have to register it so it
will work again - it's only $15 so the cost is small. It can even be
used as a plugin with FF (any version) to download correctly. Will come
in handy when downloading (after buying) the latest ArcaOS which is over
1Gib in size.

>  Either choose rpm or zip and get at it.
>

She's in a small bind here: it seems that using rpm is easier than using
unzip and run the install of the various packages needed for FF31.
Higher She won't go on Her present system and She won't put money down
for upgrading RAM to it's maximum size which is 768Mib, currntly it's
640Mib. Shall also try to rescue the old workhorse WSeB by doing an
install "on top" of the current install, that may clear up some problems
  (Warpin don't seem to work and the SIO2K drivers will trap the system
during boot), but not afteter installing ArcaOS & eCs 2.1 on the new
system and using File and Print services to transfer over all relevant
partitions to the new box - will sleep much better when that is done :-)

PS. Where can She find the latest version of RAR/UNRAR - tried to unrar
glink.rar (glink is a lightweight os2 browser) but failed miserably. So
what's the latest version of RAR/UNRAR and whhere can She find it? DS.

Cul8er alligator!
gaea - feminist & chunkawakan
--
/GAIA (Insulin User - 23th Anniversary :-)  Ex-wife deceased :-(
        Team OS/2      e-mail:  [hidden email] (Primary)
        Team eCs       e-mail:  [hidden email]   (Alternate)
        Team DRW       Dare Refuse Windows
        Chunkawakan    Lakota/Sioux: Horse
_______________________________________________
dev-ports-os2 mailing list
[hidden email]
https://lists.mozilla.org/listinfo/dev-ports-os2